ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToAsm.Utils

Synopsis

- topInfoTable :: GenCmmDecl a (LabelMap i) (ListGraph b) -> Maybe i
- entryBlocks :: GenCmmDecl a (LabelMap i) (ListGraph b) -> [BlockId]

# Documentation

topInfoTable :: GenCmmDecl a (LabelMap i) (ListGraph b) -> Maybe i Source #

Returns the info table associated with the CmmDecl's entry point, if any.

entryBlocks :: GenCmmDecl a (LabelMap i) (ListGraph b) -> [BlockId] Source #

Return the list of BlockIds in a CmmDecl that are entry points for this proc (i.e. they may be jumped to from outside this proc).